# Generated from i18n-tasks-0.9.35.gem by gem2rpm -*- rpm-spec -*-
%global gem_name i18n-tasks

Name: rubygem-%{gem_name}
Version: 0.9.35
Release: 1%{?dist}
Summary: Manage localization and translation with the awesome power of static analysis
License: MIT
URL: https://github.com/glebm/i18n-tasks
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
BuildRequires: ruby < 4.0
# BuildRequires: rubygem(axlsx) >= 2.0
# BuildRequires: rubygem(axlsx) < 3
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.6.1
# BuildRequires: rubygem(rubocop) < 1.7
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(deepl-rb) >= 2.1.0
# BuildRequires: rubygem(easy_translate) >= 0.5.1
# BuildRequires: rubygem(yandex-translator) >= 0.3.3
BuildArch: noarch

%description
i18n-tasks helps you find and manage missing and unused translations.
It analyses code statically for key usages, such as `I18n.t('some.key')`, in
order to report keys that are missing or unused,
pre-fill missing keys (optionally from Google Translate), and remove unused
keys.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/i18n-tasks
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/i18n-tasks.gemspec

%changelog
* Sat Nov 06 2021 mockbuilder - 0.9.35-1
- Initial package
